package com.unis.base.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.*;
import com.unis.base.server.entity.PersonnelDO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

public interface PersonnelMxService {

//    List<PersonnelMxVO> getPersonnelDetails();

    PageInfo<PagePersonnelVO> pagePersonnel(PageSDetailsVO pageSDetailsVO);

    List<PersonnelVO> pagePersonnelDetails(String ryxm);

    void insertPersonnelDetails(PersonnelMxVO personnelMxVO);

    List<PagePersonnelVO> pageSDetails(PageSDetailsVO pageSDetailsVO);

    PageInfo<PersonnelVO> pageDetails(Integer pageNum, Integer pageSize, String qymc, String ryxm, String personStatus);


    PersonnelDO updatePersonnel(Integer personStatus, String rybh);


    String determine(String ryxm);

    void upPersonnelDetails(PersonnelMxVO personnelMxVO);

    PersonnelMxVO catchPersonnelDetails(String rybh);

    PersonnelMxVO catchPersonnelHDetails(String rybh);
}
